Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class AbstractGraphValidator

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractGraphValidator

All Implemented Interfaces:
  java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

Direct Known Subclasses:
  UIGraphValidator

    public abstract class AbstractGraphValidator

extends javax.faces.component.UIComponentBase

JSF component class

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`AbstractGraphValidator()`

Method Summary
`javax.faces.validator.Validator` | `createChildrenValidator()`
`abstract java.lang.Class<?>[]` | `getGroups()` Get set of profiles for validation
`abstract java.lang.String` | `getSummary()` Get object for validation
`abstract java.lang.String` | `getType()` Get graph validator Id.
`protected org.richfaces.validator.GraphValidatorState` | `getValidatorState(javax.faces.context.FacesContext context)`
`abstract java.lang.Object` | `getValue()` Get object for validation
`void` | `processDecodes(javax.faces.context.FacesContext context)`
`void` | `processUpdates(javax.faces.context.FacesContext context)`
`void` | `processValidators(javax.faces.context.FacesContext context)`
`abstract void` | `setGroups(java.lang.Class<?>[] newvalue)` Set set of profiles for validation
`abstract void` | `setSummary(java.lang.String newvalue)` Set object for validation
`abstract void` | `setType(java.lang.String newvalue)` Set graph validator Id.
`abstract void` | `setValue(java.lang.Object newvalue)` Set object for validation

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processRestoreState, processSaveState, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### AbstractGraphValidator

    public AbstractGraphValidator()

Method Detail

### getValue

    public abstract java.lang.Object getValue()

  Get object for validation

  Returns:

### setValue

    public abstract void setValue(java.lang.Object newvalue)

  Set object for validation

  Parameters:
    `newvalue` -

### getSummary

    public abstract java.lang.String getSummary()

  Get object for validation

  Returns:

### setSummary

    public abstract void setSummary(java.lang.String newvalue)

  Set object for validation

  Parameters:
    `newvalue` -

### getGroups

    public abstract java.lang.Class<?>[] getGroups()

  Get set of profiles for validation

  Returns:

### setGroups

    public abstract void setGroups(java.lang.Class<?>[] newvalue)

  Set set of profiles for validation

  Parameters:
    `newvalue` -

### getType

    public abstract java.lang.String getType()

  Get graph validator Id.

  Returns:

### setType

    public abstract void setType(java.lang.String newvalue)

  Set graph validator Id.

  Parameters:
    `newvalue` -

### processDecodes

    public void processDecodes(javax.faces.context.FacesContext context)

  Overrides:
    `processDecodes` in class `javax.faces.component.UIComponentBase`

### getValidatorState

    protected org.richfaces.validator.GraphValidatorState getValidatorState(javax.faces.context.FacesContext context)

### processValidators

    public void processValidators(javax.faces.context.FacesContext context)

  Overrides:
    `processValidators` in class `javax.faces.component.UIComponentBase`

### processUpdates

    public void processUpdates(javax.faces.context.FacesContext context)

  Overrides:
    `processUpdates` in class `javax.faces.component.UIComponentBase`

### createChildrenValidator

    public javax.faces.validator.Validator createChildrenValidator()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Richfaces UI Components UI 4.1.0.20110910-M2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.